Subject: stupid bug fix for getty_ps2.0.6
From: [email-masked] (Kris Gleason)
Date: Fri, 12 Mar 1993 16:10:36 GMT
Newsgroups: comp.os.linux.announce

*blush*

Well, I made a really stupid error in the getty_ps package I uploaded 
yesterday.  The problem only affects the scheduling mechanism, so if
you aren't using this, the fix is not important.  I reuploaded the
package, as well as diffs against yesterday's release for those of you
that have it already.

I've included the diff here, as well... a real stupid one-liner.

Kris
--

Enclosed File: getty_ps2.0.6a.diff
BEGIN-----------8<---------CUT HERE---------8<---------------
[  This context diff fixes a bug in the 2.0.6 release of getty_ps,
   bringing it up to getty_ps2.0.6a.  Sorry about this... I hope
   nothing else is screwed up.   - Kris ]

*** main.c.orig	Fri Mar 12 02:43:59 1993
--- main.c	Fri Mar 12 02:44:34 1993
***************
*** 1069,1074 ****
--- 1069,1075 ----
  		exit(0);
  	}
  #ifdef	SCHED	
+ 	(void) time(&t_cur);
  	if((alrm) && ((alrm - t_cur) < 30)) {
  		if((alrm - t_cur) < 1) exit(0);
  		debug2(D_SCH, "SCHED alarm set\n");
END-------------8<---------CUT HERE---------8<---------------

-- 
Send submissions for comp.os.linux.announce to: [email-masked]